let pipe = document.getElementById("meow");
let preload = new Image();
preload.src = "/assets/img/button/braixdragon-cat2.gif";

pipe.addEventListener("mouseover", func, true);

function func() {
    pipe.src = preload.src;
}

let audio = document.createElement("audio");
audio.src = "/assets/audio/anvil_land_low.ogg";
pipe.appendChild(audio);

pipe.addEventListener(
    "mouseover",
    function () {
        setTimeout(() => {
            audio.play();
        }, 1700);
    },
    { once: true }
);